diff --git dmlite/dmlite.spec dmlite/dmlite.spec.tmp
index 4572e616ad..a481ff520d 100644
--- dmlite/dmlite.spec
+++ dmlite/dmlite.spec.tmp
@@ -18,7 +18,7 @@
 
 Name:					dmlite
 Version:				0.8.7
-Release:				4%{?dist}
+Release:				5%{?dist}
 Summary:				Lcgdm grid data management and storage framework
 Group:					Applications/Internet
 License:				ASL 2.0
@@ -281,11 +281,12 @@ Tool that is useful to test the main features of a DPM setup
 
 
 
-%package -n python-dmlite
+%package -n python2-dmlite
+%{?python_provide:%python_provide python2-dmlite}
 Summary:			Python wrapper for dmlite
 Group:				Development/Libraries
 
-%description -n python-dmlite
+%description -n python2-dmlite
 This package provides a python wrapper for dmlite.
 
 %package test
@@ -521,7 +522,7 @@ rm -rf %{buildroot}
 %{_mandir}/man3/*
 %{_defaultdocdir}/%{name}-%{version}
 
-%files -n python-dmlite
+%files -n python2-dmlite
 %defattr(-,root,root,-)
 %{python_sitearch}/pydmlite.so
 
@@ -576,6 +577,10 @@ rm -rf %{buildroot}
 %config(noreplace) %{_sysconfdir}/dmlite.conf.d/domeadapter.example
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.8.7-5
+- Python 2 subpackage renamed to python2-dmlite
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git dogtail/dogtail.spec dogtail/dogtail.spec.tmp
index c10069af52..bbeb93543a 100644
--- dogtail/dogtail.spec
+++ dogtail/dogtail.spec.tmp
@@ -5,7 +5,7 @@
 Summary: GUI test tool and automation framework
 Name: dogtail
 Version: 0.9.9
-Release: 6%{?dist}
+Release: 7%{?dist}
 License: GPLv2
 URL: http://dogtail.fedorahosted.org/
 Source0: http://fedorahosted.org/released/dogtail/%{name}-%{version}.tar.gz
@@ -14,18 +14,28 @@ BuildArch: noarch
 BuildRequires: python2-devel
 BuildRequires: python-setuptools
 BuildRequires: desktop-file-utils
-Requires: pyatspi
-Requires: pygobject3
-Requires: pycairo
-Requires: rpm-python
-Requires: xorg-x11-xinit
-Requires: python-imaging
-Requires: hicolor-icon-theme
 
-%description
-GUI test tool and automation framework that uses assistive technologies to
+%global _description\
+GUI test tool and automation framework that uses assistive technologies to\
 communicate with desktop applications.
 
+%description %_description
+
+%package -n python2-dogtail
+Summary: %summary
+Requires: hicolor-icon-theme
+Requires: python-imaging
+Requires: xorg-x11-xinit
+Requires: rpm-python
+Requires: pycairo
+Requires: pygobject3
+Requires: pyatspi
+%{?python_provide:%python_provide python2-dogtail}
+# Remove before F30
+Provides: dogtail = %{version}-%{release}
+
+%description -n python2-dogtail %_description
+
 %if 0%{?with_python3}
 %package -n python3-dogtail
 Summary: GUI test tool and automation framework - python3 installation
@@ -89,7 +99,7 @@ fi
 %posttrans
 /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
 
-%files -n dogtail
+%files -n python2-dogtail
 %{_bindir}/*
 %{python2_sitelib}/dogtail/
 %{_datadir}/applications/*
@@ -114,6 +124,10 @@ fi
 %endif # with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.9-7
+- Python 2 subpackage renamed to python2-dogtail
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.9-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git dreampie/dreampie.spec dreampie/dreampie.spec.tmp
index 0aa13b3915..e16dc988d0 100644
--- dreampie/dreampie.spec
+++ dreampie/dreampie.spec.tmp
@@ -10,7 +10,7 @@ sys.stdout.write(sys.version[:3])")}
 
 Name:           dreampie
 Version:        1.1.1
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A graphical cross-platform interactive Python shell
 
 Group:          Development/Tools
@@ -30,16 +30,25 @@ BuildRequires:  python3-devel
 BuildRequires:  desktop-file-utils
 BuildArch:      noarch
 
-Requires:       pygtksourceview
-Requires:       pygtk2
+%global _description\
+DreamPie was designed from the ground up for an interactive Python\
+experience. It features a window divided into a history box and a code box,\
+automatic completion, automatic display of function arguments and\
+documentation, a result history that can be saved as HTML, automatic folding\
+of long outputs, etc.
+
+%description %_description
+
+%package -n python2-dreampie
+Summary: %summary
 Requires:       pygtk2-libglade
+Requires:       pygtk2
+Requires:       pygtksourceview
+%{?python_provide:%python_provide python2-dreampie}
+# Remove before F30
+Provides: dreampie = %{version}-%{release}
 
-%description
-DreamPie was designed from the ground up for an interactive Python
-experience. It features a window divided into a history box and a code box,
-automatic completion, automatic display of function arguments and
-documentation, a result history that can be saved as HTML, automatic folding
-of long outputs, etc.
+%description -n python2-dreampie %_description
 
 %package python3
 Summary:    Support for running the python3 interpreter from %{name}
@@ -114,7 +123,7 @@ desktop-file-validate \
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-dreampie
 %defattr(-,root,root,-)
 %doc COPYING LICENSE-PSF README README.Fedora
 %{_bindir}/%{name}
@@ -132,6 +141,10 @@ rm -rf %{buildroot}
 %{_datadir}/%{name}/subp-py3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.1-16
+- Python 2 subpackage renamed to python2-dreampie
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git ecryptfs-utils/ecryptfs-utils.spec ecryptfs-utils/ecryptfs-utils.spec.tmp
index 92ee275323..dfe2796f6d 100644
--- ecryptfs-utils/ecryptfs-utils.spec
+++ ecryptfs-utils/ecryptfs-utils.spec.tmp
@@ -5,7 +5,7 @@
 
 Name: ecryptfs-utils
 Version: 111
-Release: 6%{?dist}
+Release: 7%{?dist}
 Summary: The eCryptfs mount helper and support libraries
 License: GPLv2+
 URL: https://launchpad.net/ecryptfs
@@ -96,12 +96,15 @@ Requires: pkgconfig
 %description devel
 Userspace development files for eCryptfs.
 
-%package python
+%package -n python2-ecryptfs-utils
+%{?python_provide:%python_provide python2-ecryptfs-utils}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python bindings for the eCryptfs utils
 Requires: %{name} = %{version}-%{release}
 BuildRequires: python python-devel swig >= 1.3.31
 
-%description python
+%description -n python2-ecryptfs-utils
 The %{name}-python package contains a module that permits 
 applications written in the Python programming language to use 
 the interface supplied by the %{name} library.
@@ -266,7 +269,7 @@ fi
 %{_libdir}/pkgconfig/libecryptfs.pc
 %{_includedir}/ecryptfs.h
 
-%files python
+%files -n python2-ecryptfs-utils
 %dir %{python_sitelib}/%{name}
 %{python_sitelib}/%{name}/libecryptfs.py
 %{python_sitelib}/%{name}/libecryptfs.pyc
@@ -277,6 +280,10 @@ fi
 %{python_sitearch}/%{name}/_libecryptfs.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 111-7
+- Python 2 subpackage renamed to python2-ecryptfs-utils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 111-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git fedwatch/fedwatch.spec fedwatch/fedwatch.spec.tmp
index 9b60bf094f..f85bf68c2f 100644
--- fedwatch/fedwatch.spec
+++ fedwatch/fedwatch.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           fedwatch
 Version:        0.5
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        Tool for watching fedmsg messages and running arbitrary scripts
 
 Group:          Development/Languages
@@ -40,10 +40,11 @@ nice way.
 Think of fedwatch as simple converter from fedmsg json messages into shell
 arguments for scripts.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python 2 module for watching fedmsg messages and running arbitrary scripts
 
-%description -n python-%{name}
+%description -n python2-%{name}
 %{summary}.
 
 %prep
@@ -110,11 +111,15 @@ fi
 %{_unitdir}/fedwatch.service
 %endif
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python_sitelib}/fedwatch*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5-7
+- Python 2 subpackage renamed to python2-fedwatch
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git freeradius/freeradius.spec freeradius/freeradius.spec.tmp
index c633d25e8f..13e197b9f8 100644
--- freeradius/freeradius.spec
+++ freeradius/freeradius.spec.tmp
@@ -1,7 +1,7 @@
 Summary: High-performance and highly configurable free RADIUS server
 Name: freeradius
 Version: 3.0.15
-Release: 2%{?dist}
+Release: 3%{?dist}
 License: GPLv2+ and LGPLv2+
 Group: System Environment/Daemons
 URL: http://www.freeradius.org/
@@ -131,13 +131,16 @@ BuildRequires: perl(ExtUtils::Embed)
 %description perl
 This plugin provides the Perl support for the FreeRADIUS server project.
 
-%package python
+%package -n python2-freeradius
+%{?python_provide:%python_provide python2-freeradius}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python support for freeradius
 Group: System Environment/Daemons
 Requires: %{name} = %{version}-%{release}
 BuildRequires: python-devel
 
-%description python
+%description -n python2-freeradius
 This plugin provides the Python support for the FreeRADIUS server project.
 
 %package mysql
@@ -690,7 +693,7 @@ exit 0
 
 %{_libdir}/freeradius/rlm_perl.so
 
-%files python
+%files -n python2-freeradius
 %dir %attr(750,root,radiusd) /etc/raddb/mods-config/python
 /etc/raddb/mods-config/python/example.py*
 /etc/raddb/mods-config/python/radiusd.py*
@@ -796,6 +799,10 @@ exit 0
 %attr(640,root,radiusd) %config(noreplace) /etc/raddb/mods-available/rest
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.0.15-3
+- Python 2 subpackage renamed to python2-freeradius
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.15-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git fuse-python/fuse-python.spec fuse-python/fuse-python.spec.tmp
index 891f5ba443..294da49aee 100644
--- fuse-python/fuse-python.spec
+++ fuse-python/fuse-python.spec.tmp
@@ -1,24 +1,33 @@
 Name:           fuse-python
 Version:        0.2.1
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Python bindings for FUSE - filesystem in userspace
 
 Group:          System Environment/Base
 License:        LGPLv2
 URL:            https://github.com/libfuse/python-fuse
 Source0:        https://github.com/libfuse/python-fuse/releases/download/%{version}/%{name}-%{version}.tar.gz
-Provides:       python-fuse = %{version}-%{release}
-Provides:       python-fuse%{?_isa} = %{version}-%{release}
 
 BuildRequires:  pkgconfig
 BuildRequires:  fuse-devel
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 
-%description
-This package provides python bindings for FUSE. FUSE makes it possible
+%global _description\
+This package provides python bindings for FUSE. FUSE makes it possible\
 to implement a filesystem in a userspace program.
 
+%description %_description
+
+%package -n python2-fuse
+Summary: %summary
+Provides:       python-fuse%{?_isa} = %{version}-%{release}
+%{?python_provide:%python_provide python2-fuse}
+# Remove before F30
+Provides: fuse-python = %{version}-%{release}
+
+%description -n python2-fuse %_description
+
 %prep
 %setup -q
 
@@ -30,13 +39,17 @@ iconv -f iso8859-1 -t utf-8 < Changelog.old > Changelog
 %install
 %py_install
 
-%files
+%files -n python2-fuse
 %license COPYING
 %doc AUTHORS Changelog FAQ example README.1st
 %doc README.new_fusepy_api README.new_fusepy_api.html README.package_maintainers
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.1-18
+- Python 2 subpackage renamed to python2-fuse
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gamin/gamin.spec gamin/gamin.spec.tmp
index f116f806f9..e6d6043b71 100644
--- gamin/gamin.spec
+++ gamin/gamin.spec.tmp
@@ -5,7 +5,7 @@
 Summary: Library providing the FAM File Alteration Monitor API
 Name: gamin
 Version: 0.1.10
-Release: 26%{?dist}
+Release: 27%{?dist}
 License: LGPLv2
 #some of the files (server/inotify-kernel.c) are GPLv2
 #so https://fedoraproject.org/wiki/Licensing#GPL_Compatibility_Matrix
@@ -52,14 +52,15 @@ This C library provides an API and ABI compatible file alteration
 monitor mechanism compatible with FAM but not dependent on a system wide
 daemon.
 
-%package python
+%package -n python2-gamin
 Summary: Python bindings for the gamin library
 Group: Development/Libraries
-Provides: python-gamin = %{version}-%{release}
-Provides: python2-gamin = %{version}-%{release}
 Requires: %{name}%{?_isa} = %{version}-%{release}
+%{?python_provide:%python_provide python2-gamin}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-gamin
 The gamin-python package contains a module that allow monitoring of
 files and directories from the Python language based on the support
 of the gamin package.
@@ -131,13 +132,17 @@ rm -fv %{buildroot}%{_libdir}/libgamin_shared.a
 %{_includedir}/fam.h
 %{_libdir}/pkgconfig/gamin.pc
 
-%files python
+%files -n python2-gamin
 %{python2_sitearch}/gamin.py*
 %{python2_sitearch}/_gamin*
 %doc python/tests/*.py
 %doc doc/python.html
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.10-27
+- Python 2 subpackage renamed to python2-gamin
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-26
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gdal/gdal.spec gdal/gdal.spec.tmp
index d7a3fa7f5a..dd009e92de 100644
--- gdal/gdal.spec
+++ gdal/gdal.spec.tmp
@@ -44,7 +44,7 @@
 
 Name:		gdal
 Version:	2.1.4
-Release:	3%{?dist}
+Release:	4%{?dist}
 Summary:	GIS file format library
 Group:		System Environment/Libraries
 License:	MIT
@@ -252,13 +252,16 @@ Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
 The GDAL Perl modules provide support to handle multiple GIS file formats.
 
 
-%package python
+%package -n python2-gdal
+%{?python_provide:%python_provide python2-gdal}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python modules for the GDAL file format library
 Group:		Development/Libraries
 Requires:	numpy
 Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-gdal
 The GDAL Python modules provide support to handle multiple GIS file formats.
 The package also includes a couple of useful utilities in Python.
 
@@ -788,7 +791,7 @@ popd
 %{perl_vendorarch}/*
 %{_mandir}/man3/*.3pm*
 
-%files python
+%files -n python2-gdal
 %doc swig/python/README.txt
 %doc swig/python/samples
 #TODO: Bug with .py files in EPEL 5 bindir, see http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies
@@ -830,6 +833,10 @@ popd
 #Or as before, using ldconfig
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.4-4
+- Python 2 subpackage renamed to python2-gdal
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.4-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gdcm/gdcm.spec gdcm/gdcm.spec.tmp
index ba0886e715..76878d3053 100644
--- gdcm/gdcm.spec
+++ gdcm/gdcm.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:		gdcm
 Version:	2.6.5
-Release:	10%{?dist}
+Release:	11%{?dist}
 Summary:	Grassroots DiCoM is a C++ library to parse DICOM medical files
 Group:		System Environment/Libraries
 License:	BSD
@@ -95,12 +95,15 @@ Requires:	%{name}%{?_isa} = %{version}-%{release}
 %description examples
 GDCM examples
 
-%package	python
+%package	-n python2-gdcm
+%{?python_provide:%python_provide python2-gdcm}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python binding for GDCM
 Group:		Development/Libraries
 Requires:	%{name}%{?_isa} = %{version}-%{release}
 
-%description python
+%description -n python2-gdcm
 You should install the gdcm-python package if you would like to
 used this library with python
 
@@ -283,13 +286,17 @@ make test -C %{_target_platform} || exit 0
 %files examples
 %{_datadir}/%{name}/Examples/
 
-%files python
+%files -n python2-gdcm
 %{python2_sitearch}/*
 
 %files -n python3-gdcm
 %{python3_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.6.5-11
+- Python 2 subpackage renamed to python2-gdcm
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.5-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gdl/gdl.spec gdl/gdl.spec.tmp
index 0fe974b79f..07d5500728 100644
--- gdl/gdl.spec
+++ gdl/gdl.spec.tmp
@@ -1,6 +1,6 @@
 Name:           gdl
 Version:        0.9.7
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        GNU Data Language
 
 Group:          Applications/Engineering
@@ -90,7 +90,10 @@ BuildArch:      noarch
 Common files for GDL
 
 
-%package        python
+%package        -n python2-gdl
+%{?python_provide:%python_provide python2-gdl}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:        GDL python module
 Group:          Applications/Engineering
 # Needed to pull in drivers
@@ -98,7 +101,7 @@ Requires:       plplot
 Requires:       %{name}-common = %{version}-%{release}
 Provides:       %{name}-runtime = %{version}-%{release}
 
-%description    python
+%description    -n python2-gdl
 %{summary}.
 
 
@@ -207,11 +210,15 @@ xvfb-run ./xrun.sh
 %files common
 %{_datadir}/gnudatalanguage/
 
-%files python
+%files -n python2-gdl
 %{python2_sitearch}/GDL.so
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.7-6
+- Python 2 subpackage renamed to python2-gdl
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.7-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git genders/genders.spec genders/genders.spec.tmp
index efefa77491..abb2fb707a 100644
--- genders/genders.spec
+++ genders/genders.spec.tmp
@@ -6,7 +6,7 @@
 Name:    genders
 Group: Development/Tools
 Version: 1.22
-Release: 11%{?dist}
+Release: 12%{?dist}
 Summary: Static cluster configuration database
 License: GPLv2
 URL: http://%{name}.sf.net
@@ -66,11 +66,14 @@ BuildRequires: java-devel
 %description java
 Genders API bindings for java.
 
-%package python
+%package -n python2-genders
+%{?python_provide:%python_provide python2-genders}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary: Python libraries
 Group: Development/Tools
 BuildRequires: python, python-devel
-%description python
+%description -n python2-genders
 Genders API bindings for python.
 
 %{?filter_setup:
@@ -228,7 +231,7 @@ rm -rf %{buildroot}
 %doc DISCLAIMER DISCLAIMER.UC COPYING 
 %{_docdir}/%{name}-%{version}-javadoc
 
-%files python
+%files -n python2-genders
 %defattr(-,root,root,-)
 %doc DISCLAIMER DISCLAIMER.UC COPYING 
 %{python_sitearch}/%{name}.py*
@@ -244,6 +247,10 @@ rm -rf %{buildroot}
 %{_usr}/lib/genders/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.22-12
+- Python 2 subpackage renamed to python2-genders
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.22-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git geome/geome.spec geome/geome.spec.tmp
index 96fb9cf045..237f260fe3 100644
--- geome/geome.spec
+++ geome/geome.spec.tmp
@@ -1,7 +1,7 @@
 Summary: Obtain your geo-location data from Google using NetworkManager
 Name: geome
 Version: 2.0
-Release: 9%{?dist}
+Release: 10%{?dist}
 License: GPLv3
 Url:  http://ftp.nohats.ca/%{name}
 Source: http://ftp.nohats.ca/%{name}/%{name}-%{version}.tar.gz
@@ -21,11 +21,12 @@ It can return all of the information Google returns, or with the -s
 flag, only return the latitude/longitude. This last mode is used by
 the Pidgin OTR nearby friends plugin.
 
-%package -n python-geome
+%package -n python2-geome
+%{?python_provide:%python_provide python2-geome}
 Summary: Python library for geome location
 Group: Applications/System
 
-%description -n python-geome
+%description -n python2-geome
 Geome python module with the geome.location() function
 
 %prep
@@ -41,7 +42,7 @@ install -p -m 0644 src/geome.py %{buildroot}%{python_sitelib}
 install -p -m 0755 geome %{buildroot}%{_bindir}
 install -p -m 644 geome.1 %{buildroot}%{_mandir}/man1
 
-%files -n python-geome
+%files -n python2-geome
 %doc README COPYING
 %{python_sitelib}/*
 
@@ -50,6 +51,10 @@ install -p -m 644 geome.1 %{buildroot}%{_mandir}/man1
 %{_mandir}/man1/geome.1*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0-10
+- Python 2 subpackage renamed to python2-geome
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git geos/geos.spec geos/geos.spec.tmp
index d82319b6fe..373b5725f4 100644
--- geos/geos.spec
+++ geos/geos.spec.tmp
@@ -1,6 +1,6 @@
 Name:		geos
 Version:	3.6.1
-Release:	3%{?dist}
+Release:	4%{?dist}
 Summary:	GEOS is a C++ port of the Java Topology Suite
 
 Group:		Applications/Engineering
@@ -37,13 +37,16 @@ functions such as IsValid().
 This package contains the development files to build applications that
 use GEOS.
 
-%package python
+%package -n python2-geos
+%{?python_provide:%python_provide python2-geos}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Summary:	Python modules for GEOS
 Group:		Development/Libraries
 Requires:	%{name} = %{version}-%{release}
 BuildRequires:	swig
 
-%description python
+%description -n python2-geos
 Python module to build applications using GEOS and python
 
 %prep
@@ -109,7 +112,7 @@ make %{?_smp_mflags} check || exit 0
 %exclude %{_libdir}/*.la
 %exclude %{_libdir}/*.a
 
-%files python
+%files -n python2-geos
 %dir %{python_sitearch}/%{name}
 %exclude %{python_sitearch}/%{name}/_%{name}.a
 %exclude %{python_sitearch}/%{name}/_%{name}.la
@@ -119,6 +122,10 @@ make %{?_smp_mflags} check || exit 0
 %{python_sitearch}/%{name}/_%{name}.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.6.1-4
+- Python 2 subpackage renamed to python2-geos
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gerrymander/gerrymander.spec gerrymander/gerrymander.spec.tmp
index d9e48f8731..34c1910326 100644
--- gerrymander/gerrymander.spec
+++ gerrymander/gerrymander.spec.tmp
@@ -1,7 +1,7 @@
 Summary:       The gerrit client tools
 Name:          gerrymander
 Version:       1.5
-Release:       7%{?dist}
+Release:       8%{?dist}
 Source0:       https://pypi.python.org/packages/source/g/%{name}/%{name}-%{version}.tar.gz
 URL:           https://pypi.python.org/pypi/gerrymander
 License:       ASL 2.0
@@ -15,7 +15,8 @@ BuildRequires: python3-nose
 BuildRequires: python3-devel
 Requires:      python3-gerrymander
 
-%package -n python-gerrymander
+%package -n python2-gerrymander
+%{?python_provide:%python_provide python2-gerrymander}
 Summary: The gerrit python2 client
 License: GPLv2+
 Requires: python-prettytable
@@ -32,7 +33,7 @@ Group: Development/Libraries
 The gerrymander package provides a set of command line tools
 for interacting with Gerrit
 
-%description -n python-gerrymander
+%description -n python2-gerrymander
 The python2-gerrymander package provides a set of python2
 modules for interacting with Gerrit.
 
@@ -78,7 +79,7 @@ nosetests-%{python3_version}
 %doc conf/gerrymander.conf-example
 %{_bindir}/gerrymander
 
-%files -n python-gerrymander
+%files -n python2-gerrymander
 %doc README LICENSE
 %{python2_sitelib}/gerrymander/
 %{python2_sitelib}/%{name}-%{version}-py2.7.egg-info
@@ -89,6 +90,10 @@ nosetests-%{python3_version}
 %{python3_sitelib}/%{name}-%{version}-py3.*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5-8
+- Python 2 subpackage renamed to python2-gerrymander
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git getdata/getdata.spec getdata/getdata.spec.tmp
index b8cc8552b4..73c533cb90 100644
--- getdata/getdata.spec
+++ getdata/getdata.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           getdata
 Version:        0.10.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Library for reading and writing dirfile data
 
 Group:          Development/Libraries
@@ -45,13 +45,16 @@ Requires: %{name} = %{version}-%{release}
 %description fortran
 The GetData library for fortran programs.  
 
-%package python
+%package -n python2-getdata
+%{?python_provide:%python_provide python2-getdata}
+# Remove before F30
+Provides: %{name}-python%{?_isa} = %{version}-%{release}
 Group: Development/Libraries
 Summary: getdata bindings for the python language
 Requires: %{name} = %{version}-%{release}
 Requires: numpy
 
-%description python
+%description -n python2-getdata
 Bindings to the getdata library for the python lanuguage.
 Uses (and requires) the numpy python library for large numeric arrays. 
 
@@ -141,7 +144,7 @@ rm -f %{buildroot}/%{python2_sitearch}/pygetdata.h
 %{_mandir}/man5/*
 %{_mandir}/man1/*
 
-%files python
+%files -n python2-getdata
 %{python_sitearch}/*.so
 
 %files fortran
@@ -174,6 +177,10 @@ rm -f %{buildroot}/%{python2_sitearch}/pygetdata.h
 %{_libdir}/getdata/libgetdatalzma*.so
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.0-3
+- Python 2 subpackage renamed to python2-getdata
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gofer/gofer.spec gofer/gofer.spec.tmp
index 74d1e26901..992eddb1fd 100644
--- gofer/gofer.spec
+++ gofer/gofer.spec.tmp
@@ -7,7 +7,7 @@
 
 Name: gofer
 Version: 2.11.0
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: A lightweight, extensible python agent
 Group:   Development/Languages
 License: LGPLv2
@@ -129,7 +129,8 @@ fi
 
 # --- python lib -------------------------------------------------------------
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary: Gofer python lib modules
 Group: Development/Languages
 BuildRequires: python
@@ -141,10 +142,10 @@ Requires: python-hashlib
 Requires: python-uuid
 %endif
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Provides gofer python lib modules.
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %defattr(-,root,root,-)
 %{python_sitelib}/%{name}/*.py*
 %{python_sitelib}/%{name}/rmi/
@@ -233,6 +234,10 @@ Provides the gofer amqp messaging adapter package.
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.11.0-3
+- Python 2 subpackage renamed to python2-gofer
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.11.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git gprof2dot/gprof2dot.spec gprof2dot/gprof2dot.spec.tmp
index 61af138c6d..0fea6c4516 100644
--- gprof2dot/gprof2dot.spec
+++ gprof2dot/gprof2dot.spec.tmp
@@ -26,7 +26,7 @@ features:\
 
 Name:           gprof2dot
 Version:        1.0
-Release:        %{fedorarel}%{?dist}.3
+Release:        %{fedorarel}%{?dist}.4
 Summary:        Generate dot graphs from the output of several profilers
 
 Group:          Applications/Multimedia
@@ -38,11 +38,21 @@ BuildArch: noarch
 BuildRequires:  python2
 BuildRequires:  python3
 BuildRequires:  graphviz
-Requires:       python2
 
-%description
+%global _description\
 %description_common
 
+%description %_description
+
+%package -n python2-gprof2dot
+Summary: %summary
+Requires:       python2
+%{?python_provide:%python_provide python2-gprof2dot}
+# Remove before F30
+Provides: gprof2dot = %{version}-%{release}
+
+%description -n python2-gprof2dot %_description
+
 %package        python3
 Summary:        Generate dot graphs from the output of several profilers
 Group:          Applications/Multimedia
@@ -76,7 +86,7 @@ chmod 0644 hotshotmain.py
 python2 ./tests/test.py
 python3 ./tests/test.py
 
-%files
+%files -n python2-gprof2dot
 %license LICENSE.txt
 %doc README.markdown
 %doc hotshotmain.py 
@@ -94,6 +104,10 @@ python3 ./tests/test.py
 %{_bindir}/gprof2dot-py3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-0.16.D20160727git78310e7637.4
+- Python 2 subpackage renamed to python2-gprof2dot
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.16.D20160727git78310e7637.3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
